Index: contrib/crossrpms/rtems4.10/lm32/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/.cvsignore	(revision da589d0d061d101cefd55d49842692c6d4454365)
+++ contrib/crossrpms/rtems4.10/lm32/.cvsignore	(revision da589d0d061d101cefd55d49842692c6d4454365)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/lm32/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/Makefile.am	(revision da589d0d061d101cefd55d49842692c6d4454365)
+++ contrib/crossrpms/rtems4.10/lm32/Makefile.am	(revision da589d0d061d101cefd55d49842692c6d4454365)
@@ -0,0 +1,35 @@
+# $Id$
+
+TARGET = lm32-rtems4.10
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.19.1
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 1
+include ../binutils.am
+BINUTILS_OPTS +=
+
+# NOTREADY
+#GCC_VERS = 4.3.3
+#GCC_PKGVERS = $(GCC_VERS)
+#GCC_RPMREL = 6
+#NEWLIB_VERS = 1.17.0
+#NEWLIB_PKGVERS = $(NEWLIB_VERS)
+#NEWLIB_RPMREL = `expr 21 + $(GCC_RPMREL)`
+#include ../gcc.am
+#GCC_OPTS += --languages=cxx
+
+# NOTREADY
+#GDB_VERS = 6.8
+#GDB_PKGVERS = $(GDB_VERS)
+#GDB_RPMREL = 8
+#include ../gdb.am
+#GDB_OPTS +=
+
+# NOTREADY
+#CPUKIT_VERS = 4.9.99.0
+#CPUKIT_PKGVERS = $(CPUKIT_VERS)-20090206-2
+#CPUKIT_RPMREL = 1
+#include ../cpukit.am
+#CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/lm32/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/binutils-sources.add	(revision da589d0d061d101cefd55d49842692c6d4454365)
+++ contrib/crossrpms/rtems4.10/lm32/binutils-sources.add	(revision da589d0d061d101cefd55d49842692c6d4454365)
@@ -0,0 +1,2 @@
+Source0: http://ftp.gnu.org/gnu/binutils/binutils-2.19.1.tar.bz2
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/binutils-2.19.1-rtems4.10-20090203.diff
Index: contrib/crossrpms/rtems4.10/lm32/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/cpukit-sources.add	(revision da589d0d061d101cefd55d49842692c6d4454365)
+++ contrib/crossrpms/rtems4.10/lm32/cpukit-sources.add	(revision da589d0d061d101cefd55d49842692c6d4454365)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/lm32/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/gcc-sources.add	(revision da589d0d061d101cefd55d49842692c6d4454365)
+++ contrib/crossrpms/rtems4.10/lm32/gcc-sources.add	(revision da589d0d061d101cefd55d49842692c6d4454365)
@@ -0,0 +1,40 @@
+%if "%{gcc_version}" == "4.3.3"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.3" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+%if "%{newlib_version}" == "1.17.0"
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090220.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/lm32/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/gdb-sources.add	(revision da589d0d061d101cefd55d49842692c6d4454365)
+++ contrib/crossrpms/rtems4.10/lm32/gdb-sources.add	(revision da589d0d061d101cefd55d49842692c6d4454365)
@@ -0,0 +1,2 @@
+Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
